
class ProcessHandle(object):
    """Interface for working with running process"""

    def write_stdin(self, data):
        """Write data to stdin of the process

        :type data: str
        :rtype: None
        """
        raise NotImplementedError()

    def close_stdin(self):
        """Close stdin of the process

        :rtype: None
        """
        raise NotImplementedError()